> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata for a specific table in a catalog from DataHub

> Get metadata for a specific table in a catalog from DataHub.



## OpenAPI

````yaml get /api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/metadata
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/metadata:
    get:
      tags:
        - Metastore
      summary: Get metadata for a specific table in a catalog from DataHub
      description: Get metadata for a specific table in a catalog from DataHub.
      operationId: >-
        get_table_metadata_api_metastore_catalogs__catalog_name__schemas__schema_name__tables__table_name__metadata_get
      parameters:
        - name: catalog_name
          in: path
          required: true
          schema:
            type: string
            description: Catalog name.
            title: Catalog Name
          description: Catalog name.
        - name: schema_name
          in: path
          required: true
          schema:
            type: string
            description: Schema name.
            title: Schema Name
          description: Schema name.
        - name: table_name
          in: path
          required: true
          schema:
            type: string
            description: Table name.
            title: Table Name
          description: Table name.
      responses:
        '200':
          description: Data retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableMetadataDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TableMetadataDetailsResponse:
      properties:
        table_name:
          type: string
          title: Table Name
          description: Name of the dataset/table.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the dataset if available.
        domains:
          items:
            type: string
          type: array
          title: Domains
          description: List of domains associated with the dataset.
        tags:
          items:
            type: string
          type: array
          title: Tags
          description: List of tags assigned to the dataset.
        data_product:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Product
          description: Name of the data product that this dataset belongs to.
        upstream_count:
          type: integer
          title: Upstream Count
          description: Total number of upstream datasets in lineage.
        downstream_count:
          type: integer
          title: Downstream Count
          description: Total number of downstream datasets in lineage.
        upstream_tables:
          items:
            $ref: '#/components/schemas/LineageTable'
          type: array
          title: Upstream Tables
          description: List of upstream dataset names.
        downstream_tables:
          items:
            $ref: '#/components/schemas/LineageTable'
          type: array
          title: Downstream Tables
          description: List of downstream dataset names.
        data_quality_assertions:
          items:
            $ref: '#/components/schemas/DataQualityAssertion'
          type: array
          title: Data Quality Assertions
          description: List of data quality assertions defined on the dataset.
      type: object
      required:
        - table_name
        - domains
        - tags
        - upstream_count
        - downstream_count
        - upstream_tables
        - downstream_tables
        - data_quality_assertions
      title: TableMetadataDetailsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LineageTable:
      properties:
        name:
          type: string
          title: Name
          description: Name of the upstream or downstream table.
        urn:
          type: string
          title: Urn
          description: URN of the table.
      type: object
      required:
        - name
        - urn
      title: LineageTable
    DataQualityAssertion:
      properties:
        description:
          type: string
          title: Description
          description: Description of the data quality assertion.
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type of the assertion.
        removed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Removed
          description: '`True` if you removed this assertion.'
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Latest run status.
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
          description: Result of the latest run.
        total_runs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Runs
          description: Total number of runs for the assertion.
      type: object
      required:
        - description
      title: DataQualityAssertion
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````